summaryrefslogtreecommitdiffstats
path: root/academic/calc/calc.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'academic/calc/calc.SlackBuild')
-rw-r--r--academic/calc/calc.SlackBuild8
1 files changed, 2 insertions, 6 deletions
diff --git a/academic/calc/calc.SlackBuild b/academic/calc/calc.SlackBuild
index 53887dd3c8..016ec5e261 100644
--- a/academic/calc/calc.SlackBuild
+++ b/academic/calc/calc.SlackBuild
@@ -55,12 +55,8 @@ make install \
MANDIR=/usr/man/man1 \
T=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
( cd $PKG/usr/man || exit 1
find . -type f -exec gzip -9 {} \;